=== jp3d/CMakeLists.txt ===
# Linux makefile for OpenJPEG

#VER_MAJOR = 1
#VER_MINOR = 0.0

SUBDIRS(
  libjp3dvm
  codec
)
