## openjpeg 1.5.0

=== debian/changelog ===
openjpeg (1.5.0-2precise0~ppa) precise; urgency=high

  * Adding libopenjpeg-java. Closes: #510443
  * Update d/control so that it is easier to backport to stable
  * Provide a fix for cmake commit a2be068c
  * Provide a symlinks openjpeg.h -> openjpeg-1.5/openjpeg.h for easier
    transition
  * Add openjpip-server package: openjpip-server
   - Add init script
   - Fix default location of tempfile to be in /tmp
  * Add openjpip java based clients packages:
   - openjpip-viewer
   - openjpip-viewer-xerces

 -- Otto Meier <otto@kesselgulasch.org>  Sat, 21 Dec 2013 19:02:07 +0100

openjpeg (1.5.0-1) experimental; urgency=low

  [ Robin Cornelius ]
  * Include motion j2k codec in build
    - Implement man pages for the mj2 tools
    - Use clean target of mj2/Makefile when running the debian/rules clean
      target
    - Update build patch, to set gcc options for mj2 Makefile based on the
      settings in debian/rules
  * Add ${misc:Depends} to binary packages
  * Place -dbg package in section debug

  [ David Paleino ]
  * New upstream version (Closes: #659226)
    - fix alpha channel encode by preventing an overrun in the static MCT
      tables when processing more than 3 color components. (Closes: #541807)
  * Package moved to "3.0 (quilt)" source format
  * Patches converted from dpatch to quilt-format
  * Dropped unapplicable patches with the new sources
  * Updated debian/copyright (missing bits and DEP-5)
  * Added README.source explaining the reason for repacking the tarball
  * Removed obsolete README.Debian
  * Bumped Standards-Version to 3.9.3
  * Dropped debian/image_to_j2k.pod and j2k_to_image.pod, upstream has
    proper manpages now
  * Updated Build-Dependencies and various small things in d/control

  [ Mathieu Malaterre ]
  * Add myself to uploaders
  * Switch to cmake buildsystem
  * Update orig-tar.sh to remove thirdparty/* files
  * Bump SONAME to 5 as per upstream recommendation
  * Install JPWL libraries (update *.symbols file)
  * Import two patches from upstream svn:
   - Add explicit link to math lib (-lm)
   - Fix SONAME handling in 1.5.0 (import from 1.5 branch)
  * Switch to dh(9), make multi-arch. Closes: #663045

 -- Mathieu Malaterre <malat@debian.org>  Mon, 16 Apr 2012 16:01:13 +0200

openjpeg (1.3+dfsg-4) unstable; urgency=high

  * Fix FTBFS on alpha for real (Closes: #483048).
     - Update 32_fix_FTBFS_on_alpha.dpatch with the patch provided by
       Arthur Loiret (thanks).
  * Set urgency to “high” for RC bugfix.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 09 Mar 2009 16:59:02 +0100

openjpeg (1.3+dfsg-3) unstable; urgency=low

  * Fix FTBFS on alpha. Modify codec/dirent.h to not generate error if __linux__
    is defined as well as __alpha__. (Closes: #483048)

 -- Robin Cornelius <robin.cornelius@gmail.com>  Sun, 08 Jun 2008 06:48:24 +0200

openjpeg (1.3+dfsg-2) unstable; urgency=low

  * Fix FTBFS when “sudo” is used (which is the case on alpha, mips, and
    mipsel buildds) by using chmod in a better way, recursively removing
    -x and adding +X, so that sufficient permissions remain.
  * debian/control:
     - Add myself to Uploaders.
  * debian/copyright:
     - Update my mail address.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 29 Apr 2008 08:23:56 +0200

openjpeg (1.3+dfsg-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * Remove leftover codec/{image_to_j2k, j2k_to_image} in the clean
    target (fix double-build failure)
  * Indent list in the long description (per lintian)
  * Replace XS-Vcs-{Svn, Browser} with Vcs-{Git, Browser}
  * Nuke trailing whitespaces.
  * Rephrase descriptions.
  * Remove remaining trailing whitespaces.
  * Use “$(MAKE) dist” instead of “make dist”.
  * Move .PHONY and .SUFFIXES to the bottom.
  * Use an include of dpatch.make instead of defining the rules
    manually.
  * Remove unneeded get-orig-source target and the mode line.
  * Try and adjust permissions during “clean” since upstream ships
    everything with a+x.
  * Rename manpages to build-manpages, adjust .PHONY.
  * Remove extra (no longer needed with recent dpkg-dev versions) -L and
    -l flags from dh_shlibdeps.
  * Nuke trailing whitespaces in copyright file.
  * Document in debian/TODO that the hardcoded shared object symlinks is a
    target for further uploads.

  [ Robin Cornelius ]
  * Build codec tools against system libtiff headers.
  * Remove non-dfsg files from package and edit copyright and README.Debian to
    document changes and removals.
  * Tidy up control file package descriptions and use soname in -dbg
    package
  * Do not keep upstream source in our git tree. We should use a get-
    orig-source
  * Apply Cyril Brulebois' suggestion for watchfile regex.
  * Update debian/rules. Note get-orig-source needs further work.
  * Change maintainer address to be the group address.
  * Fix build warning, add final new line to debian/watch.
  * Fix lintian warnings due to different email address in changelog and
    Uploaders:
  * In debian/rules clean target, use dh_clean to remove all files,
    don't use rm
  * Update debian/copyright as I have made changes in 2008.
  * Switch from txt2man to perlpod:
     - txt2man is buggy and generates incorrectly formatted man pages
       (#416391).
     - Remove it from Build-Depends.
     - Use perlpod manpages (debian/*.pod).
     - Generate manpages during the build through pod2man.
     - Delete them through dh_clean.

 -- Robin Cornelius <robin.cornelius@gmail.com>  Wed, 19 Mar 2008 10:59:56 +0000

openjpeg (1.3-1) unstable; urgency=low

  * New upstream release
    - Drop SVN merge patch as v1.3 contains all required fixes.
    - Update debian/rules to match upstream changes to makefile.
    - Stop ignoring make errors and rm errors in debian/rules.
    - Fix build environment via dpatch to use -O0 or -O3 when requested, use -g
      to build library and strip via dh_strip and build codecs against shared
      not static library.

