=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://code.google.com/p/openjpeg/downloads/list?can=1 \
		       .*/openjpeg-([0-9_.]+)\.tar\.gz \
debian debian/orig-tar.sh
